# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MMenuFactory

Packages that use MMenuFactory
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl

## Uses of MMenuFactory in org.eclipse.e4.ui.model.application.ui.menu

Fields in org.eclipse.e4.ui.model.application.ui.menu declared as MMenuFactory
Modifier and Type
Field
Description
`static final MMenuFactory`
MMenuFactory.`INSTANCE`
The singleton instance of the factory.

## Uses of MMenuFactory in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MMenuFactory
Modifier and Type
Class
Description
`class`
`MenuFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MMenuFactory
Modifier and Type
Method
Description
`MMenuFactory`
MenuPackageImpl.`getMenuFactory()`
Returns the factory that creates the instances of the model.